Skip to main content
GET
/
publisher
/
publishers
/
{id}
/
territories
List a publisher's territories
curl --request GET \
  --url https://api.royalti.io/publisher/publishers/{id}/territories \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.royalti.io/publisher/publishers/{id}/territories"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.royalti.io/publisher/publishers/{id}/territories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "TenantId": 123,
    "publisherId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "territoryCode": "US",
    "inclusionExclusion": "I",
    "prShare": 50,
    "mrShare": 50,
    "srShare": 50,
    "startDate": "2023-11-07T05:31:56Z",
    "endDate": "2023-11-07T05:31:56Z",
    "rights": [
      {
        "share": 123
      }
    ],
    "formula": "<string>",
    "postTermCollection": false,
    "agreementId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
]
{
"status": "error",
"message": "<string>",
"code": "<string>",
"details": {}
}
This endpoint requires authentication. Include your Bearer token in the Authorization header.

Code Examples

const response = await fetch('https://api.royalti.io/publisher/publishers/{id}/territories', {
  method: 'GET',
  headers: {
    'Authorization': `Bearer ${token}`,
  },
});

const data = await response.json();
console.log(data);
import requests

response = requests.get(
  'https://api.royalti.io/publisher/publishers/{id}/territories',
  headers={
    'Authorization': f'Bearer {token}'
  },
)

data = response.json()
print(data)
curl -X GET https://api.royalti.io/publisher/publishers/{id}/territories \
  -H "Authorization: Bearer YOUR_TOKEN" \

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme. Format: "Bearer {token}"

Path Parameters

id
string<uuid>
required

Response

Territories fetched.

id
string<uuid>
TenantId
integer
publisherId
string<uuid>
territoryCode
string

ISO territory code or 'WW' for worldwide.

Example:

"US"

inclusionExclusion
enum<string>
default:I
Available options:
I,
E
prShare
number
Required range: 0 <= x <= 100
mrShare
number
Required range: 0 <= x <= 100
srShare
number
Required range: 0 <= x <= 100
startDate
string<date-time>
endDate
string<date-time> | null
rights
object[]
formula
string | null

CWR 2.2+ territory formula, e.g. "2136 BUT NOT 2250". At most one exclusion marker (EX/X).

postTermCollection
boolean
default:false
assignmentType
enum<string> | null
Available options:
DIRECT,
SUB,
ADMIN
licenseType
enum<string> | null
Available options:
EXCLUSIVE,
NON-EXCLUSIVE
agreementId
string<uuid> | null
createdAt
string<date-time>
updatedAt
string<date-time>